; UltraClean/theme.jl



(let*
  (
    (font (get-font "-*-lucida-medium-r-normal-*-*-100-*-*-p-*-iso8859-1"))
    (font-colors (list "black" "black"))
    
	(title-images (list (set-image-border
	                    (make-image "title-bar-inactive.png") 2 2 0 0)
                            (set-image-border
			    (make-image "title-bar-active.png")2 2 0 0)))

     	(iconify-images (list (make-image "iconify-normal.png")
			      nil nil
                              (make-image "iconify-clicked.png")))

     	(maximize-images (list (make-image "maximize-normal.png")
                               nil nil
  	 		       (make-image "maximize-clicked.png")))

     	(close-images (list (make-image "close-normal.png")
			    nil nil
                            (make-image "close-clicked.png")))

         (menu-images (list (make-image "menu-normal.png")
	                     nil nil
			     (make-image "menu-clicked.png")))

     	(title-left (make-image "title_left.png"))
	(title-right (make-image "title_right.png"))
	(border-top (make-image "border_top.png"))
	(border-top-1 (make-image "border_top_1.png"))
     	(border-bottom (make-image "border_bottom.png"))
     	(border-right (make-image "border_right.png"))
     	(border-left (make-image "border_left.png"))

        (corner-tl-2 (make-image "corner_top_left_2.png"))
	(corner-tr-2 (make-image "corner_top_right_2.png"))
	(corner-bl-2 (make-image "corner_bottom_left_2.png"))
	(corner-br-2 (make-image "corner_bottom_right_2.png"))
				

     	(frame `(

		((background . ,title-left)
		 (top-edge . -20)
		 (left-edge . -3)
		 (class . top-left-corner))
		 
		((background . ,title-right)
		 (top-edge . -20)
		 (right-edge . -3)
		 (class . top-right-corner))
		
		((background . ,title-images)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
		 (x-justify . center)
                 (y-justify . center)
		 (top-edge . -20)
		 (left-edge . 12)
		 (right-edge . 30)
		 (class . title))

	     	((background . ,border-top-1)
      		 (top-edge . -20)
      		 (right-edge . 10)
      		 (left-edge . 10) 
      		 (class . top-border))

		((background . ,iconify-images)
      		 (top-edge . -16)
		 (right-edge . 19) 
		 (class . iconify-button))

                ((background . ,menu-images)
		 (top-edge . -16)
		 (left-edge . 1)
		 (class . menu-button))

     		((background . ,maximize-images)
      		 (top-edge . -16)
      		 (right-edge . 10)
      		 (class . maximize-button))

    		((background . ,close-images)
      		 (top-edge . -16)
      		 (right-edge . 1)
      		 (class . close-button))

     		((background . ,border-left)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -2) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -2)
      		 (class . right-border))

     		((background . ,border-bottom)
      		 (bottom-edge . -2)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-bl-2)
      		 (bottom-edge . -3)
      		 (left-edge . -3)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br-2)
      		 (bottom-edge . -3)
      		 (right-edge . -3) 
      		 (class . bottom-right-corner))
	))

	(shaped-frame `(
      		 
		((background . ,title-left)
		 (top-edge . -20)
		 (left-edge . -3)
		 (class . top-left-corner))
		 
		((background . ,title-right)
		 (top-edge . -20)
		 (right-edge . -3)
		 (class . top-right-corner))
		 
		
     		((background . ,title-images)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
		 (x-justify . center)
                 (y-justify . center)
		 (top-edge . -20)
		 (left-edge . 12)
		 (right-edge . 30)
		 (class . title))

	     	((background . ,border-top-1)
      		 (top-edge . -20)
      		 (right-edge . 10)
      		 (left-edge . 10) 
      		 (class . top-border))

     		((background . ,iconify-images)
      		 (top-edge . -16)
      		 (right-edge . 19) 
      		 (class . iconify-button))

                ((background . ,menu-images)
		 (top-edge . -16)
		 (left-edge . 1)
		 (class . menu-button))

     		((background . ,maximize-images)
      		 (top-edge . -16)
      		 (right-edge . 10)
      		 (class . maximize-button))

     		((background . ,close-images)
      		 (top-edge . -16)
      		 (right-edge . 1)
      		 (class . close-button))
  
	))

	(transient-frame `(

     		((background . ,border-left)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -2) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -2)
      		 (class . right-border))

	     	((background . ,border-top)
      		 (top-edge . -2)
      		 (right-edge . 0)
      		 (left-edge . 0) 
      		 (class . title))

     		((background . ,border-bottom)
      		 (bottom-edge . -2)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-tl-2)
      		 (top-edge . -3)
      		 (left-edge . -3)
      		 (class . top-left-corner))

     		((background . ,corner-tr-2)
      		 (top-edge . -3)
      		 (right-edge . -3)
      		 (class . top-right-corner))

     		((background . ,corner-bl-2)
      		 (bottom-edge . -3)
      		 (left-edge . -3)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br-2)
      		 (bottom-edge . -3)
      		 (right-edge . -3) 
      		 (class . bottom-right-corner))
	))
	
	(shaped-transient-frame `(
      		 
		((background . ,title-left)
		 (top-edge . -20)
		 (left-edge . 0)
		 (class . top-left-corner))
		 
		((background . ,title-right)
		 (top-edge . -20)
		 (right-edge . 0)
		 (class . top-right-corner))		 
	        
     		((background . ,title-images)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
		 (x-justify . center)
                 (y-justify . center)
		 (top-edge . -20)
		 (left-edge . 12)
		 (right-edge . 23)
		 (class . title))

	     	((background . ,border-top-1)
      		 (top-edge . -20)
      		 (right-edge . 10)
      		 (left-edge . 10) 
      		 (class . top-border))

     		((background . ,iconify-images)
      		 (top-edge . -16)
      		 (right-edge . 12) 
      		 (class . iconify-button))
		 
		((background . ,menu-images)
		 (top-edge . -16)
		 (left-edge . 3)
		 (class . menu-button))

     		((background . ,close-images)
      		 (top-edge . -16)
      		 (right-edge . 3)
      		 (class . close-button))

	))
	
  )
  (add-frame-style 'UltraClean
    	(lambda (w type)   
           (case type
	      ((default) frame)
	      ((transient) transient-frame)
              ((shaped) shaped-frame)
              ((shaped-transient) shaped-transient-frame)))))
